<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplateR.xhtml">

    <ui:define name="contentPart">
        <h:form id="activosForm">
              <h:outputText 
                  value="Recepción -> Recepción" 
                style="font-weight: bold"/> 
            <p:dataTable
                id="listado"
                value="#{folioMB.registros_recepcion}"
                var="registros"
                paginator="true"
                rows="10"
                style="font-size: small"
                emptyMessage="No se encontraron Activos"
                paginatorPosition="bottom">
                <f:facet name="header">
                    Registros en recepción
                    <p:commandButton 
                        id="btnAddEmp2" 
                        value="Cerrar Sessión"
                        title="Cerrar Sessión"
                        icon="pi pi-times"
                        style="display:inline; float:right; font-size:100%; "
                        actionListener = "#{sessionMB.salir()}"/>
                    
                </f:facet>
                <p:column
                    sortBy="#{registros.id}"
                    filterMatchMode="contains"
                    width="8%"
                    style="font-size: small"
                    filterBy="#{registros.id}">
                    <f:facet name="header">ID</f:facet>
                    <h:outputText value="#{registros.id}"/>
                </p:column>
                <p:column
                    sortBy="#{registros.folio}"
                    filterMatchMode="contains"
                    width="13%"
                    style="font-size: small"
                    filterBy="#{registros.folio}">
                    <f:facet name="header">FOLIO</f:facet>
                    <h:outputText value="#{registros.folio}"/>
                </p:column>
                <p:column
                    sortBy="#{registros.productor}"
                    filterMatchMode="contains"
                    width="16%"
                    style="font-size: small"
                    filterBy="#{registros.productor}">
                    <f:facet name="header">PRODUCTOR</f:facet>
                    <h:outputText value="#{registros.productor}"/>
                </p:column>
                <p:column
                    sortBy="#{registros.agronomo}"
                    filterMatchMode="contains"
                    width="16%"
                    style="font-size: small"
                    filterBy="#{registros.agronomo}">
                    <f:facet name="header">AGRONOMO</f:facet>
                    <h:outputText value="#{registros.agronomo}"/>
                </p:column>
                <p:column   
                    width="24%"
                    headerText="Acciones">
                    <p:commandButton
                        onclick="PF('EditarActivo').show();"
                        title="Editar datos"
                        value="Editar"
                        update=":detalleEditar"
                        icon="ui-icon-pencil"
                        actionListener="#{folioMB.seleccionEditar(registros)}">
                        <f:setPropertyActionListener
                            value="#{registros}"
                            target="#{folioMB.activoSeleccionado}" />
                    </p:commandButton>
                    <p:spacer width="40" height="10" />
                    <p:commandButton value="Rechazar" actionListener="#{folioMB.rechazarActivo2(registros)}" 
                        update="listado"
                        icon="ui-icon-scissors"
                        style="display:inline;float:left;width: 120px;"
                        immediate="true">                                            
                        <p:confirm header="Confirmación" message="Estas de acuerdo en rechazar este registro?" icon="ui-icon-alert" />
                    </p:commandButton>
                    <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                        <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                        <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                    </p:confirmDialog> 
                 </p:column>
            </p:dataTable>
        </h:form>
    </ui:define>
    <ui:define name="outLayoutPart" >
        <ui:include src="EditarActivo.xhtml" />
    </ui:define>
</ui:composition>   
